Subject: Re: [PATCH] PCI: dwc: layerscape: convert to builtin_platform_driver()

From: Tony Lindgren <[email-masked]>
Date: Thu, 28 Jan 2021 12:35:21 +0200

* Geert Uytterhoeven <[email-masked]> [210128 09:32]:
> It wasn't.  The regression is that the driver no longer probes at first
> try, because its dependencies are now probed later.  The question is:
> why are the dependencies now probed later?  How to fix that?

I'm afraid that may be unfixable.. It depends on things like the bus
driver probe that might get also deferred.

As suggested, I agree it's best to get rid of builtin_platform_driver_probe
where possible at the cost of dropping the __init as needed.

To me it seems we can't even add a warning to __platform_driver_probe()
if there's drv->driver.of_match_table for example. That warning would
show up on all the devices with driver in question built in even if
the device has no such hardware.

Regards,

Tony